/**
 * Задание 5.
 *
 * Написать функцию-сумматор всех своих параметров.
 *
 * Функция принимает произвольное количество параметров.
 * Однако каждый из них обязательно должен быть числом.
 *
 * Генерировать ошибку, если:
 * - Хоть один из параметров не является допустимым числом (в ошибке указать порядковый номер аргумента);
 * - Если функция была вызвана менее, чем с двумя аргументами.
 *
 * Условия:
 * - Оператором «...» пользоваться запрещено.
 */

function summArgs() {

	if (arguments.length < 2) throw new Error('Функция была вызвана менее, чем с двумя аргументами.')

	let sum = 0;

	for (let i = 0; i < arguments.length; i++) {

		if (isNaN(arguments[i])) {

			throw new Error(`Аргумент под номером ${i} не являеться числом.`)

		} else {

			sum += arguments[i];
		}
	}

	return summ;
}

let result = summArgs(2, 4, 32, 'str', 13, 61, 93);

console.log(result);